Primer do Projeto de Documentação do FreeBSD para novos colaboradores
Anterior | Apêndice A. Exemplos |

# A.3 Produzindo saídas formatadas

Esta seção assume que você já instalou os softwares listados no port `textproc/docproj`, seja via meta-port ou manualmente. Além disso, ela também assume que os seus softwares estão instalados em subdiretórios sob o `/usr/local/`, e que os diretórios nos quais os binários foram instalados, estão mapeados no seu `PATH`. Ajuste os paths conforme a necessidade do seu sistema.

## A.3.1 Usando o Jade

Exemplo A-3. Convertendo de DocBook para HTML (em um único grande arquivo)

    % jade -V nochunks \
        -c /usr/local/share/xml/docbook/dsssl/modular/catalog \
        -c /usr/local/share/xml/docbook/catalog \
        -c /usr/local/share/xml/jade/catalog \
        -d /usr/local/share/xml/docbook/dsssl/modular/html/docbook.dsl \
        -t sgml  file.xml > file.html

  Especifique o parâmetro `nochunks` para as folhas de estilo, forçando que todos os outputs sejam escritos para a saída padrão (STDOUT) (utilizando as folhas de estilo do Norm Walsh).
  Especifique os catálogos que o Jade terá que processar. Três catálogos são requeridos. O primeiro é o catálogo que contém as informações sobre as folhas de estilo DSSSL. O segundo contém informações sobre o DTD DockBook. E o terceiro contém informações específicas para o Jade.
  Especifique o caminho completo das folhas de estilo DSSSL as quais o Jade irá utilizar quando estiver processando o documento.
  Instrua o Jade para realizar uma transformação de uma DTD para outra. Neste caso, a entrada será transformada de um DTD DocBook para um DTD HTML.
  Especifique o arquivo que o Jade deve processar, e redirecione a saída para o arquivo `.html` desejado.

Exemplo A-4. Convertendo de DocBook para HTML (vários arquivos pequenos)

    % jade \
        -c /usr/local/share/xml/docbook/dsssl/modular/catalog \
        -c /usr/local/share/xml/docbook/catalog \
        -c /usr/local/share/xml/jade/catalog \
        -d /usr/local/share/xml/docbook/dsssl/modular/html/docbook.dsl \
        -t sgml  file.xml

  Especifique os catálogos os quais o Jade terá que processar. Três catálogos são requeridos. O primeiro é o catálogo o qual contém as informações sobre as folhas de estilo DSSSL. O segundo contém informações sobre o DTD DocBook. O terceiro contém informações específicas para o Jade.
  Especifique o caminho completo da folha de estilo DSSSL a qual o Jade irá utilizar quando estiver processando o documento.
  Instrua o Jade para realizar a transformação de uma DTD para outra. Neste caso, a entrada será transformada de um DTD DocBook para um DTD HTML.
  Especifique o arquivo que o Jade deve processar. A folha de estilo determina como os arquivos HTML individuais serão nomeados, inclusive o nome do arquivo “raiz” (é o arquivo que contém o inicio do documento).

Este exemplo pode continuar gerando apenas um único arquivo HTML, dependerá da estrutura do documento que você estiver processando e das regras da folha de estilo selecionada, para divisão do output.

Exemplo A-5. Convertendo de DocBook para Postscript

O arquivo fonte SGML precisa ser convertido para um arquivo TeX.

    % jade -V tex-backend \
        -c /usr/local/share/xml/docbook/dsssl/modular/catalog \
        -c /usr/local/share/xml/docbook/catalog \
        -c /usr/local/share/xml/jade/catalog \
        -d /usr/local/share/xml/docbook/dsssl/modular/print/docbook.dsl \
        -t tex  file.xml

  Customize as folhas de estilo para utilizar as várias opções existentes, específicas para a produção de saídas TeX.
  Especifique os catálogos os quais o Jade terá que processar. Três catálogos são requeridos. O primeiro é o catálogo o qual contém as informações sobre as folhas de estilo DSSSL. O segundo contém informações sobre o DTD DocBook. O terceiro contém informações específicas para o Jade.
  Especifique o caminho completo da folha de estilo DSSSL a qual o Jade irá utilizar quando estiver processando o documento.
  Instrua o Jade para converter o output para TeX.

O arquivo `.tex` gerado, deve ser agora processado pelo `tex`, especificando o pacote de macros `&jadetex`.

    % tex "&jadetex" file.tex

Você tem que executar o `tex` pelo menos três vezes. A primeira execução irá processar o documento, e determinar as áreas do documento que são referenciadas a partir de outras partes do documento, para uso na indexação, etc.

Não fique alarmado se você visualizar mensagens de alertas tais como “`LaTeX Warning: Reference `136' on page 5 undefined on input line 728.`” neste momento.

A segunda execução reprocessa o documento agora que certas peças de informação são conhecidas (tais como o número de páginas do documento). Isto permite indexar as entradas e estabelecer as outras referências cruzadas.

A terceira execução irá realizar a limpeza final necessária no arquivo

O output deste estágio será um ``arquivo`.dvi`.

Finalmente, execute o `dvips` para converter o arquivo `.dvi` para o formato Postscript.

    % dvips -o file.ps file.dvi

Exemplo A-6. Convertendo de DocBook para PDF

A primeira parte deste processo é idêntica ao realizado quando se converte de DocBook para Postscript, utilizando a mesma linha de comando para o `jade` (Exemplo A-5).

Quando o arquivo `.tex` já tiver sido gerado, você deve executar o pdfTeX utilizando o pacote de macros `&pdfjadetex`.

    % pdftex "&pdfjadetex" file.tex

De novo, execute este comando três vezes.

Ele irá gerar um ``arquivo` .pdf`, o qual não necessita de nenhum processamento adicional.

Anterior | Principal |
DocBook `<article>` | Acima |

Este, e outros documentos, podem ser obtidos em ftp://ftp.FreeBSD.org/pub/FreeBSD/doc/.

Para perguntas sobre FreeBSD, leia a documentação antes de contatar <questions@FreeBSD.org>.
Para perguntas sobre esta documentação, envie e-mail para <doc@FreeBSD.org>.